/**
 * This file defines some standard states for the EyeBot
 */

#ifndef STANDARD_STATES_H
#define STANDARD_STATES_H




class NotAlarmedState : public State
{
public:
	AlarmedState(){}

	tristate Evaluate()
	{
		return TRISTATE_TRUE;
	}

	int Resolve()
	{
	}

};



class BatteryState : public State
{
public:
	BatteryState()
	{
	}

	tristate Evaluate()
	{
	}
	
	int Resolve()
	{
	}

};




#endif//STANDARD_STATES_H
